#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD4
Summary:	Digest::MD4 - MD4 digest algorithm implementation
Summary(pl.UTF-8):	Digest::MD4 - implementacja algorytmu skrótu MD4
Name:		perl-Digest-MD4
Version:	1.5
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	594d661c18b46a4aea97931dcaf5ce14
URL:		http://search.cpan.org/dist/Digest-MD4/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD4 module allows you to use the RSA Data Security Inc.
MD4 Message Digest algorithm from within Perl programs.  The algorithm
is described in RFC 1320.

%description -l pl.UTF-8
Moduł Digest::MD4 pozwala na używanie algorytmu skrótu MD4 firmy RSA
Data Security Inc. w programach perlowych. Algorytm jest opisany w RFC
1320.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/MD4.pm
%dir %{perl_vendorarch}/auto/Digest/MD4
%{perl_vendorarch}/auto/Digest/MD4/MD4.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/MD4/MD4.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-MD4.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 49f7f21
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 7f5fd78
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 3aadc85
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b92690
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 1a6b2f6
- release 4

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 11a53df
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 2b2c8ef
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 94e8a38
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f7016af
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e6b99cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e39f89a
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 5152c57
- autoupdated to 1.5

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6d089d5
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 4cebbcc
- updated to 1.4

* Sat Jun 05 2004 radek <radek@pld-linux.org> a52ac9c
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 14347c7
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> ec9bd97
- better summary/description, license fixes and unification

* Tue Dec 23 2003 misi3k <misi3k@pld-linux.org> 83ef9bf
- updated to 1.3

* Fri Oct 31 2003 Jakub Bogusz <qboosh@pld-linux.org> bdbb796
- updated to 1.2, added tests

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 6997633
- mass commit: cosmetics (removed trailing white spaces)

